summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero2010-03-16 01:15:31 +0100
committer Erik Hanson2010-05-13 13:26:36 +0200
commit3b277043177215629beca0c13c0f144a025e940e (patch)
treee1bfe632e61c00fd8b0eb8a3d484356805ef651d
parent4e00848458c67a9d20e147cf3fc7bf8bf9948539 (diff)
downloadslackbuilds-3b277043177215629beca0c13c0f144a025e940e.tar.gz
libraries/perl-Archive-Zip: Updated for version 1.31_01.
Renamed from Archive-Zip.
-rw-r--r--libraries/perl-Archive-Zip/README17
-rwxr-xr-xlibraries/perl-Archive-Zip/perl-Archive-Zip.SlackBuild92
-rw-r--r--libraries/perl-Archive-Zip/perl-Archive-Zip.info10
-rw-r--r--libraries/perl-Archive-Zip/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/libraries/perl-Archive-Zip/README b/libraries/perl-Archive-Zip/README
new file mode 100644
index 0000000000..14fab682ec
--- /dev/null
+++ b/libraries/perl-Archive-Zip/README
@@ -0,0 +1,17 @@
+Archive::Zip module allows a Perl program to create, manipulate,
+read, and write Zip archive files.
+
+Zip archives can be created, or you can read from existing zip files.
+Once created, they can be written to files, streams, or strings. Members
+can be added, removed, extracted, replaced, rearranged, and enumerated.
+
+They can also be renamed or have their dates, comments, or other
+attributes queried or modified. Their data can be compressed or
+uncompressed as needed.
+
+Members can be created from members in existing Zip files, or from
+existing directories, files, or strings.
+
+This module uses the Compress::Zlib library to read and write the
+compressed streams inside the files.
+
diff --git a/libraries/perl-Archive-Zip/perl-Archive-Zip.SlackBuild b/libraries/perl-Archive-Zip/perl-Archive-Zip.SlackBuild
new file mode 100755
index 0000000000..908d345843
--- /dev/null
+++ b/libraries/perl-Archive-Zip/perl-Archive-Zip.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for Archive::Zip
+
+# Copyright 2008-2010 David Somero <dsomero@hotmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Archive-Zip
+VERSION=1.31_01
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_PRGNAM=Archive-Zip
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="LICENSE README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRC_PRGNAM-$VERSION
+tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
+cd $SRC_PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL OPTIMIZE="$SLKCFLAGS" INSTALLDIRS=vendor
+make
+make test
+make install DESTDIR=$PKG
+
+mv $PKG/usr/share/man $PKG/usr/
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Remove perllocal.pod and other special files that don't need to be installed
+( cd $PKG
+ find . -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+ find . -depth -type d -empty -delete
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-Archive-Zip/perl-Archive-Zip.info b/libraries/perl-Archive-Zip/perl-Archive-Zip.info
new file mode 100644
index 0000000000..61bfc79f11
--- /dev/null
+++ b/libraries/perl-Archive-Zip/perl-Archive-Zip.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Archive-Zip"
+VERSION="1.31_01"
+HOMEPAGE="http://search.cpan.org/~adamk/Archive-Zip-1.31_01/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Archive-Zip-1.31_01.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="ba40ad38620a43f1f8e2d24b857bb06e"
+MD5SUM_x86_64=""
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="Erik Hanson"
diff --git a/libraries/perl-Archive-Zip/slack-desc b/libraries/perl-Archive-Zip/slack-desc
new file mode 100644
index 0000000000..4eaf2999ec
--- /dev/null
+++ b/libraries/perl-Archive-Zip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Archive-Zip: perl-Archive-Zip (perl module)
+perl-Archive-Zip:
+perl-Archive-Zip: The Archive::Zip module allows a Perl program to create, manipulate,
+perl-Archive-Zip: read, and write Zip archive files.
+perl-Archive-Zip:
+perl-Archive-Zip: Zip archives can be created, or you can read from existing zip files.
+perl-Archive-Zip: Once created, they can be written to files, streams, or strings. Members
+perl-Archive-Zip: can be added, removed, extracted, replaced, rearranged, and enumerated.
+perl-Archive-Zip: They can also be renamed or have their dates, comments, or other
+perl-Archive-Zip: attributes queried or modified. Their data can be compressed or
+perl-Archive-Zip: uncompressed as needed.